services:
    webkul_prestashop_connector.job.prestashop_all_import:
        class: "%pim_connector.job.simple_job.class%"
        arguments:
            - "prestashop_import_job"
            - "@event_dispatcher"
            - "@akeneo_batch.job_repository"
            - 
                - "@webkul_prestashop_connector.step.prestashop_category_import.import"
                - "@webkul_prestashop_connector.step.prestashop_attribute_import.import"
                - "@webkul_prestashop_connector.step.prestashop_attribute_option_import.import"
                - "@webkul_prestashop_connector.step.prestashop_family_import.import"
                - "@webkul_prestashop_connector.step.prestashop_family_variant_import.import"
                - "@webkul_prestashop_connector.step.prestashop_product_and_product_model_import.import"
                - "@webkul_prestashop_connector.step.prestashop_product_combinations_import.import"
            - true
        tags:
            - {
                  name: akeneo_batch.job,
                  connector: "%webkul_prestashop_connector.connector_name.prestashop%",
                  type: "import",
              }

    webkul_prestashop_connector.job.prestashop_category_import:
        class: "%pim_connector.job.simple_job.class%"
        arguments:
                - "prestashop_category_import"
                - "@event_dispatcher"
                - "@akeneo_batch.job_repository"
                - 
                    - "@webkul_prestashop_connector.step.prestashop_category_import.import"
                - true
        tags:
            - {
                  name: akeneo_batch.job,
                  connector: "%webkul_prestashop_connector.connector_name.prestashop%",
                  type: "import",
              }

    webkul_prestashop_connector.job.prestashop_attribute_import:
        class: "%pim_connector.job.simple_job.class%"
        arguments:
            - "prestashop_attribute_import"
            - "@event_dispatcher"
            - "@akeneo_batch.job_repository"
            - 
                - "@webkul_prestashop_connector.step.prestashop_attribute_import.import"
                - "@webkul_prestashop_connector.step.prestashop_attribute_option_import.import"
            - true
        tags:
            - {
                  name: akeneo_batch.job,
                  connector: "%webkul_prestashop_connector.connector_name.prestashop%",
                  type: "%pim_connector.job.import_type%",
              }
    webkul_prestashop_connector.job.prestashop_family_import:
        class: "%pim_connector.job.simple_job.class%"
        arguments:
            - "prestashop_family_import"
            - "@event_dispatcher"
            - "@akeneo_batch.job_repository"
            -
                - "@webkul_prestashop_connector.step.prestashop_family_import.import"
                - "@webkul_prestashop_connector.step.prestashop_family_variant_import.import"
            - true
        tags:
            - {
                  name: akeneo_batch.job,
                  connector: "%webkul_prestashop_connector.connector_name.prestashop%",
                  type: "%pim_connector.job.import_type%",
              }
              
    webkul_prestashop_connector.job.prestashop_product_import:
        class: "%pim_connector.job.simple_job.class%"
        arguments:
            - "prestashop_product_import"
            - "@event_dispatcher"
            - "@akeneo_batch.job_repository"
            - 
                - "@webkul_prestashop_connector.step.prestashop_product_and_product_model_import.import"
            - true
        tags:
            - {
                  name: akeneo_batch.job,
                  connector: "%webkul_prestashop_connector.connector_name.prestashop%",
                  type: "%pim_connector.job.import_type%",
              }

    webkul_prestashop_connector.job.prestashop_product_combinations_import:
        class: "%pim_connector.job.simple_job.class%"
        arguments:
            - "prestashop_product_combinations_import"
            - "@event_dispatcher"
            - "@akeneo_batch.job_repository"
            -
                - "@webkul_prestashop_connector.step.prestashop_product_combinations_import.import"
            - true
        tags:
            - {
                  name: akeneo_batch.job,
                  connector: "%webkul_prestashop_connector.connector_name.prestashop%",
                  type: "%pim_connector.job.import_type%",
              }

